# Change Log

## 1.2.3

### Patch Changes

- Updated dependencies []:
  - @chakra-ui/form-control@1.5.3

## 1.2.2

### Patch Changes

- Updated dependencies []:
  - @chakra-ui/form-control@1.5.2

## 1.2.1

### Patch Changes

- [#5075](https://github.com/chakra-ui/chakra-ui/pull/5075)
  [`b28142946`](https://github.com/chakra-ui/chakra-ui/commit/b281429462a099b7fd7f9352e837cd28d1a2da0e)
  Thanks [@cschroeter](https://github.com/cschroeter)! - Update babel config to
  transpile soruces for older browsers. This fixes issues with CRA and
  Storybook.
- Updated dependencies
  [[`b28142946`](https://github.com/chakra-ui/chakra-ui/commit/b281429462a099b7fd7f9352e837cd28d1a2da0e)]:
  - @chakra-ui/form-control@1.5.1
  - @chakra-ui/utils@1.9.1

## 1.2.0

### Minor Changes

- [#4991](https://github.com/chakra-ui/chakra-ui/pull/4991)
  [`6095eaf9a`](https://github.com/chakra-ui/chakra-ui/commit/6095eaf9ac64a7e4d9f934bcb530bae2a92111a6)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Update build system
  we use from a custom babel cli setup to
  [preconstruct](https://preconstruct.tools/).

  The previous build system transpiles the code in `src` directory to `dist/esm`
  and `dist/cjs` keeping the same file structure. The new build system merges
  all files in `src` and transpiles to a single `esm` and `cjs` file.

  **Potential Breaking Change:** The side effect of this is that, if you
  imported any function, component or hook using the **undocumented** approach
  like
  `import { useOutsideClick } from "@chakra-ui/hooks/dist/use-outside-click"`,
  you'll notice that the this doesn't work anymore.

  Here's how to resolve it:

  ```jsx live=false
  // Won't work 🎇
  import { useOutsideClick } from "@chakra-ui/hooks/dist/use-outside-click"

  // Works ✅
  import { useOutsideClick } from "@chakra-ui/hooks"
  ```

  If this affected your project, we recommend that you import hooks, functions
  or components the way it's shown in the documentation. This will help keep
  your project future-proof.

### Patch Changes

- [#5010](https://github.com/chakra-ui/chakra-ui/pull/5010)
  [`0dd56ab1b`](https://github.com/chakra-ui/chakra-ui/commit/0dd56ab1b1ec3abab20ac6d8449757ad40138f29)
  Thanks [@jrolfs](https://github.com/jrolfs)! - Fixed an styling issue where it
  was not possible to customize the icon spacing of the `Select` component.

- Updated dependencies
  [[`6095eaf9a`](https://github.com/chakra-ui/chakra-ui/commit/6095eaf9ac64a7e4d9f934bcb530bae2a92111a6)]:
  - @chakra-ui/form-control@1.5.0
  - @chakra-ui/utils@1.9.0

## 1.1.17

### Patch Changes

- Updated dependencies
  [[`cd0893c56`](https://github.com/chakra-ui/chakra-ui/commit/cd0893c561d8c72b69db7c03d10adae752468a4f)]:
  - @chakra-ui/utils@1.8.4
  - @chakra-ui/form-control@1.4.3

## 1.1.16

### Patch Changes

- Updated dependencies
  [[`c06d242c6`](https://github.com/chakra-ui/chakra-ui/commit/c06d242c672a10f93fab4dc2321143beae2db669),
  [`5b4d8ef24`](https://github.com/chakra-ui/chakra-ui/commit/5b4d8ef24017dab1d69aeb5016b53366bdb3bcfd)]:
  - @chakra-ui/utils@1.8.3
  - @chakra-ui/form-control@1.4.2

## 1.1.15

### Patch Changes

- [`fba77bf32`](https://github.com/chakra-ui/chakra-ui/commit/fba77bf32a817e31327e566484c1b1439f14fb42)
  [#4660](https://github.com/chakra-ui/chakra-ui/pull/4660) Thanks
  [@takethefake](https://github.com/takethefake)! - The disabled state of the
  `SelectIcon` can be reflected by a disabled `FormControl` or by the
  `isDisabled`-flag of the `select` field

## 1.1.14

### Patch Changes

- Updated dependencies []:
  - @chakra-ui/form-control@1.4.1

## 1.1.13

### Patch Changes

- Updated dependencies
  [[`4c1071969`](https://github.com/chakra-ui/chakra-ui/commit/4c1071969a9b41a952b374f9990ac0bb89d24fa0),
  [`4981d9898`](https://github.com/chakra-ui/chakra-ui/commit/4981d9898641be3904367ef917560fef3b362720),
  [`ff4dc7c38`](https://github.com/chakra-ui/chakra-ui/commit/ff4dc7c38310367c0e89522db9e88ae069cb6c2b),
  [`43f66097b`](https://github.com/chakra-ui/chakra-ui/commit/43f66097b39f1c37a4627dd6ca8a85555f35b95c)]:
  - @chakra-ui/form-control@1.4.0
  - @chakra-ui/utils@1.8.2

## 1.1.12

### Patch Changes

- Updated dependencies
  [[`4a1e4d93b`](https://github.com/chakra-ui/chakra-ui/commit/4a1e4d93b0a07df7266d40bb66039385b158d3d1)]:
  - @chakra-ui/utils@1.8.1
  - @chakra-ui/form-control@1.3.8

## 1.1.11

### Patch Changes

- Updated dependencies []:
  - @chakra-ui/form-control@1.3.7

## 1.1.10

### Patch Changes

- Updated dependencies
  [[`620f0b7d7`](https://github.com/chakra-ui/chakra-ui/commit/620f0b7d756ffb6bfc6ddf0459e96f774ffbb9be)]:
  - @chakra-ui/form-control@1.3.6

## 1.1.9

### Patch Changes

- Updated dependencies
  [[`d0f50a46e`](https://github.com/chakra-ui/chakra-ui/commit/d0f50a46ea6c2bcf06d8cad8b9b3994fd934be01),
  [`b479ff22e`](https://github.com/chakra-ui/chakra-ui/commit/b479ff22ea10c1a1393224c37c36aa6ceabc4aab),
  [`07d15eab4`](https://github.com/chakra-ui/chakra-ui/commit/07d15eab480724f8fee1a09b7cecdf1e968d9ddd)]:
  - @chakra-ui/utils@1.8.0
  - @chakra-ui/form-control@1.3.5

## 1.1.8

### Patch Changes

- Updated dependencies
  [[`e9ac4cc76`](https://github.com/chakra-ui/chakra-ui/commit/e9ac4cc7629cd79efc753b4e3353bacdad46cd7d)]:
  - @chakra-ui/utils@1.7.0
  - @chakra-ui/form-control@1.3.4

## 1.1.7

### Patch Changes

- Updated dependencies
  [[`0974e547c`](https://github.com/chakra-ui/chakra-ui/commit/0974e547c29e4efc1ba4d1eb1507d0dad7d7a77a),
  [`59ea894a7`](https://github.com/chakra-ui/chakra-ui/commit/59ea894a7e03d16cd7a1b89d00816eafa9fab65d)]:
  - @chakra-ui/utils@1.6.0
  - @chakra-ui/form-control@1.3.3

## 1.1.6

### Patch Changes

- Updated dependencies
  [[`8b5eb9654`](https://github.com/chakra-ui/chakra-ui/commit/8b5eb9654affe562795d38a19f732f84732a949d)]:
  - @chakra-ui/utils@1.5.2
  - @chakra-ui/form-control@1.3.2

## 1.1.5

### Patch Changes

- [`ac21d798a`](https://github.com/chakra-ui/chakra-ui/commit/ac21d798a0759b45de02c6821804f40f492fd80e)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Fix RTL styles for
  select field to use `paddingEnd` instead of `pr`

- Updated dependencies
  [[`1a04a41bd`](https://github.com/chakra-ui/chakra-ui/commit/1a04a41bd2285069011a738fff422ba1a6fcce94),
  [`e481ba491`](https://github.com/chakra-ui/chakra-ui/commit/e481ba4914a7f163d93d4c22e2e457f1afb08721),
  [`d86a0f6b4`](https://github.com/chakra-ui/chakra-ui/commit/d86a0f6b4cfcaaf759559325c8fe8b9376f7548b)]:
  - @chakra-ui/utils@1.5.1
  - @chakra-ui/form-control@1.3.1

## 1.1.4

### Patch Changes

- Updated dependencies
  [[`a58b724e9`](https://github.com/chakra-ui/chakra-ui/commit/a58b724e9c8656044f866b658f378662f2a44b46),
  [`b724a9dd9`](https://github.com/chakra-ui/chakra-ui/commit/b724a9dd9429d02c0b2c7f7deac66d3553100bdc),
  [`3cc77ce60`](https://github.com/chakra-ui/chakra-ui/commit/3cc77ce60681650436f764e28b4b2234c5ca6408),
  [`fa9350eff`](https://github.com/chakra-ui/chakra-ui/commit/fa9350eff0b907abd87cac98f9d758baed260596)]:
  - @chakra-ui/utils@1.5.0
  - @chakra-ui/form-control@1.3.0

## 1.1.3

### Patch Changes

- Updated dependencies
  [[`e748219f3`](https://github.com/chakra-ui/chakra-ui/commit/e748219f300f0c51b0eb304fce38b014d7bcbc86),
  [`91ef14839`](https://github.com/chakra-ui/chakra-ui/commit/91ef148397187010804eb8f30307d2ec94c32c5b)]:
  - @chakra-ui/utils@1.4.0
  - @chakra-ui/form-control@1.2.3

## 1.1.2

### Patch Changes

- [`39375c15b`](https://github.com/chakra-ui/chakra-ui/commit/39375c15b64635ea3f59d9f5ad1f31851f9f018b)
  [#3486](https://github.com/chakra-ui/chakra-ui/pull/3486) Thanks
  [@with-heart](https://github.com/with-heart)! - Resolved an issue where
  `optgroup` in dark mode was unreadable on browsers that allow `select`
  contents styling.
- Updated dependencies
  [[`87cc23e14`](https://github.com/chakra-ui/chakra-ui/commit/87cc23e14814e02cbbfc9737c2356cef682ddd5d)]:
  - @chakra-ui/utils@1.3.0
  - @chakra-ui/form-control@1.2.2

## 1.1.1

### Patch Changes

- Updated dependencies
  [[`ff4a36bca`](https://github.com/chakra-ui/chakra-ui/commit/ff4a36bca11cc177830f6f1da13700acd1e3a087),
  [`483687237`](https://github.com/chakra-ui/chakra-ui/commit/483687237f2c4fed05dc6a79693f307c601c1285),
  [`61962345c`](https://github.com/chakra-ui/chakra-ui/commit/61962345c5b1c862445c16c586e304b28c376c9a)]:
  - @chakra-ui/utils@1.2.0
  - @chakra-ui/form-control@1.2.1

## 1.1.0

### Minor Changes

- [`90c7a4fbf`](https://github.com/chakra-ui/chakra-ui/commit/90c7a4fbfde69c01395ffe2876d7348dd72ea65a)
  [#3092](https://github.com/chakra-ui/chakra-ui/pull/3092) Thanks
  [@TimKolberger](https://github.com/TimKolberger)! - - Improved theme typing in
  order to provide a better autocomplete experience
  - Fixed a type issue where pseudo style props like `_hover` and `_active`
    didn't allow regular css properties

### Patch Changes

- Updated dependencies
  [[`90c7a4fbf`](https://github.com/chakra-ui/chakra-ui/commit/90c7a4fbfde69c01395ffe2876d7348dd72ea65a)]:
  - @chakra-ui/form-control@1.2.0

## 1.0.6

### Patch Changes

- [`8816f3e3`](https://github.com/chakra-ui/chakra-ui/commit/8816f3e392eafbe283af119c44b900f5728b589e)
  [#3129](https://github.com/chakra-ui/chakra-ui/pull/3129) Thanks
  [@with-heart](https://github.com/with-heart)! - Fixed an issue where component
  theme `color` style for `Select.icon` wasn't applied.
- Updated dependencies []:
  - @chakra-ui/form-control@1.1.3

## 1.0.5

### Patch Changes

- Updated dependencies []:
  - @chakra-ui/form-control@1.1.2

## 1.0.4

### Patch Changes

- Updated dependencies
  [[`4ae55fa3`](https://github.com/chakra-ui/chakra-ui/commit/4ae55fa3ff28eec1be9e1e5b6ab37d3c7f727df1),
  [`8b87406c`](https://github.com/chakra-ui/chakra-ui/commit/8b87406c3132586be3393117eef80d47ec82fc54)]:
  - @chakra-ui/form-control@1.1.1
  - @chakra-ui/utils@1.1.0

## 1.0.3

### Patch Changes

- Updated dependencies
  [[`b8df0bf4`](https://github.com/chakra-ui/chakra-ui/commit/b8df0bf44a10512658826e5ef8e3067bc45fbc4a),
  [`123aaf59`](https://github.com/chakra-ui/chakra-ui/commit/123aaf59a60aaae269e2a305730a650a112c0975),
  [`e73878ee`](https://github.com/chakra-ui/chakra-ui/commit/e73878ee686c11d3f94ad6ac61b19ae9508d75a5),
  [`29c0e45e`](https://github.com/chakra-ui/chakra-ui/commit/29c0e45efb9f8f37dc2e81b56c08e2f1cedeb621)]:
  - @chakra-ui/form-control@1.1.0
  - @chakra-ui/utils@1.0.2

## 1.0.2

### Patch Changes

- Updated dependencies
  [[`ff10bcec`](https://github.com/chakra-ui/chakra-ui/commit/ff10bceca5774769766eef3a6812a22f387dd58d)]:
  - @chakra-ui/form-control@1.0.2

## 1.0.1

### Patch Changes

- Updated dependencies
  [[`5c482483`](https://github.com/chakra-ui/chakra-ui/commit/5c482483ce24fc798540c9792a15e06772eae213)]:
  - @chakra-ui/utils@1.0.1
  - @chakra-ui/form-control@1.0.1

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0 (2020-11-13)

**Note:** Version bump only for package @chakra-ui/select

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.8 (2020-10-29)

### Bug Fixes

- **toast:** allow custom render in update
  ([eb8bff9](https://github.com/chakra-ui/chakra-ui/commit/eb8bff911e6ec9de0165ab1e8f5ca10d5e022459)),
  closes [#2362](https://github.com/chakra-ui/chakra-ui/issues/2362)

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.7 (2020-10-25)

**Note:** Version bump only for package @chakra-ui/select

# 1.0.0-rc.6 (2020-10-25)

**Note:** Version bump only for package @chakra-ui/select

# 1.0.0-rc.5 (2020-09-27)

**Note:** Version bump only for package @chakra-ui/select

# 1.0.0-rc.4 (2020-09-25)

**Note:** Version bump only for package @chakra-ui/select

# 1.0.0-rc.3 (2020-08-30)

**Note:** Version bump only for package @chakra-ui/select

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.2 (2020-08-09)

**Note:** Version bump only for package @chakra-ui/select

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-rc.1](https://github.com/chakra-ui/chakra-ui/compare/@chakra-ui/select@1.0.0-rc.0...@chakra-ui/select@1.0.0-rc.1) (2020-08-06)

**Note:** Version bump only for package @chakra-ui/select

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-rc.0](https://github.com/chakra-ui/chakra-ui/compare/@chakra-ui/select@1.0.0-next.7...@chakra-ui/select@1.0.0-rc.0) (2020-07-26)

**Note:** Version bump only for package @chakra-ui/select

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.7](https://github.com/chakra-ui/chakra-ui/compare/@chakra-ui/select@1.0.0-next.6...@chakra-ui/select@1.0.0-next.7) (2020-07-26)

### Bug Fixes

- **selet:** add fit-content prevent element overflow
  ([39ed2d6](https://github.com/chakra-ui/chakra-ui/commit/39ed2d6ecc45f3f2c8e9ea1e327cdfbcb4def984))
- theming prop types in select
  ([8194041](https://github.com/chakra-ui/chakra-ui/commit/8194041501e0ac4c294ecfd379616969a40168b0))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.6](https://github.com/chakra-ui/chakra-ui/compare/@chakra-ui/select@1.0.0-next.5...@chakra-ui/select@1.0.0-next.6) (2020-07-15)

**Note:** Version bump only for package @chakra-ui/select

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.5](https://github.com/chakra-ui/chakra-ui/compare/@chakra-ui/select@1.0.0-next.4...@chakra-ui/select@1.0.0-next.5) (2020-07-15)

**Note:** Version bump only for package @chakra-ui/select

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.4 (2020-07-01)

### Bug Fixes

- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- add select icon color prop
  [#720](https://github.com/chakra-ui/chakra-ui/issues/720)
  ([e566d2c](https://github.com/chakra-ui/chakra-ui/commit/e566d2cc6198689dcb099eb684bb5b5c63d7edd5))
- case sensitivity issues in packages
  ([1242a46](https://github.com/chakra-ui/chakra-ui/commit/1242a4666fe0e9554b6691edcf42d366f7cff67a))
- fix typos
  ([d1a05e7](https://github.com/chakra-ui/chakra-ui/commit/d1a05e7dcf49dda5bd1953e8d1cc5a404884643c))
- select component options display
  ([9c913c8](https://github.com/chakra-ui/chakra-ui/commit/9c913c8e547899db5da028f7b1b9ee85fb1dd4b9))
- select variant and size props
  ([63699d0](https://github.com/chakra-ui/chakra-ui/commit/63699d084c1902d5505f2014791ea15253479e52))
- ts issue with sx prop
  ([d3b1340](https://github.com/chakra-ui/chakra-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))
- **select:** pass placeholder prop to SelectField
  ([e314cbd](https://github.com/chakra-ui/chakra-ui/commit/e314cbdd902cbee67f2184f17054aa2ede6723c7))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.3 (2020-06-28)

### Bug Fixes

- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- add select icon color prop
  [#720](https://github.com/chakra-ui/chakra-ui/issues/720)
  ([e566d2c](https://github.com/chakra-ui/chakra-ui/commit/e566d2cc6198689dcb099eb684bb5b5c63d7edd5))
- case sensitivity issues in packages
  ([1242a46](https://github.com/chakra-ui/chakra-ui/commit/1242a4666fe0e9554b6691edcf42d366f7cff67a))
- fix typos
  ([d1a05e7](https://github.com/chakra-ui/chakra-ui/commit/d1a05e7dcf49dda5bd1953e8d1cc5a404884643c))
- select component options display
  ([9c913c8](https://github.com/chakra-ui/chakra-ui/commit/9c913c8e547899db5da028f7b1b9ee85fb1dd4b9))
- select variant and size props
  ([63699d0](https://github.com/chakra-ui/chakra-ui/commit/63699d084c1902d5505f2014791ea15253479e52))
- ts issue with sx prop
  ([d3b1340](https://github.com/chakra-ui/chakra-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))
- **select:** pass placeholder prop to SelectField
  ([e314cbd](https://github.com/chakra-ui/chakra-ui/commit/e314cbdd902cbee67f2184f17054aa2ede6723c7))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.2 (2020-06-21)

### Bug Fixes

- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- add select icon color prop
  [#720](https://github.com/chakra-ui/chakra-ui/issues/720)
  ([e566d2c](https://github.com/chakra-ui/chakra-ui/commit/e566d2cc6198689dcb099eb684bb5b5c63d7edd5))
- case sensitivity issues in packages
  ([1242a46](https://github.com/chakra-ui/chakra-ui/commit/1242a4666fe0e9554b6691edcf42d366f7cff67a))
- fix typos
  ([d1a05e7](https://github.com/chakra-ui/chakra-ui/commit/d1a05e7dcf49dda5bd1953e8d1cc5a404884643c))
- select component options display
  ([9c913c8](https://github.com/chakra-ui/chakra-ui/commit/9c913c8e547899db5da028f7b1b9ee85fb1dd4b9))
- select variant and size props
  ([63699d0](https://github.com/chakra-ui/chakra-ui/commit/63699d084c1902d5505f2014791ea15253479e52))
- **select:** pass placeholder prop to SelectField
  ([e314cbd](https://github.com/chakra-ui/chakra-ui/commit/e314cbdd902cbee67f2184f17054aa2ede6723c7))
